## Tcl8.6.0/Tk8.6.0 Documentation > Tk C API, version 8.6.0 > NameOfImg

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tk_NameOfImage — Return name of image.

### SYNOPSIS

#include <tk8.6/tk.h>
const char *
Tk_NameOfImage(typePtr)

### ARGUMENTS

Tk_ImageMaster *masterPtr (in)
  Token for image, which was passed to image manager's createProc when the image was created.

### DESCRIPTION

This procedure is invoked by image managers to find out the name of an image. Given the token for the image, it returns the string name for the image.

### KEYWORDS

image manager, image name
Copyright © 1995-1996 Sun Microsystems, Inc.